**`CH. KRISHNA TEJ `[NAME]**-NL- :**`8143184348`[PHONES_PHONE]** -NL- **`chkrishnatej@gmail.com`[EMAILS_EMAIL]** -NL- **`OBJECTIVE:`[SUMMARY_HEADING]** -NL- A fast learning individual seeking an opportunity to work as data scientist, to harness -NL- the data and derive business insights utilising excellent analytical and methodical -NL- skills to help the company achieve business goals. -NL- **`TECHNICAL SKILLS:`[SKILLS_HEADING]** -NL- Programming Languages: -NL- Python, SQL, Node JS, Java -NL- Web Technologies: -NL- RESTful Services, Flask, HTML, CSS -NL- IDE: -NL- Spyder ,IntelliJ, PyCharm, Jupyter Notebook -NL- Software Packages: -NL- Scikit Learn, Keras, Microsoft Bot Framework, Pandas, Stanford Core NLP, AWS, Apache -NL- Solr -NL- Version Control: -NL- Git -NL- **`Core Competencies:`[SKILLS_HEADING]** -NL- Textual Analytics, Text Mining, Machine Learning, Exploratory Data Analysis, Deep -NL- Learning, Data Wrangling, NLU, NLP, Decision Trees,Information Retrieval, Data -NL- Retrieval -NL- **`WORK EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`Data Science Engineer`[EMPLOYER_ROLE]**, **`Algonox Technologies`[EMPLOYER_COMPANY_NAME]** (July 2017 - Present) -NL- **`Summary:`[SUMMARY_HEADING]** -NL- Chatbots: -NL- • Built E-Commerce chat bot for shopping using array of technologies like NLP, -NL- NLU and search engine. -NL- • Preprocessing the corpus of textual data with Regular Expressions and parsing -NL- the dates to a unified format. -NL- • Used Stanford SU Time to understand time expressions in a given time -NL- expressions. -NL- • Maintaining a database of synonyms using NLTK Wordnet. -NL- • Using enterprise search engine Apache Solr, the data is ingested into the server -NL- which is used for querying. -NL- • Created Solr custom search handler for giving better search results. -NL- • Created NLP engine to understand the intent of the user and cater to the -NL- service requested by the user. -NL- o Used Stanford OpenIE to understand intents of the user. -NL- o Based on the intents predicted, the intents are mapped to different -NL- actions. -NL- • Building a conversation model using deep learning technique LSTM (Keras) to -NL- replace linguistic rule based understanding engine. -NL- Food Trend Analysis: -NL- • Designed data pipeline to ingest the data from various sources and do trend -NL- analysis of the dishes for any given state and city of the country. -NL- • Used Apache Spark (PySpark) to analyse huge sets of data in Amazon AWS -NL- instances. -NL- • Applied sentimental analysis for the reviews of foods to determine the -NL- popularity of the dish. -NL- • Worked on data visualisation to find trends of most popular products using -NL- matplotlib. -NL- Information Retrieval: -NL- A simple to use information retrieval app to check for warning letters issued by the -NL- government and actions to be taken with deadlines. -NL- Doc Analytics: -NL- A textual analytics suite to classify business documents. The classifications include -NL- Invoices, Salary Slips, Contract Documents. -NL- Free Text SQL: -NL- A portal designed to search sales information with free text natural language queries -NL- to retrieve the information asked by the user. -NL- **`Project Engineer`[EMPLOYER_ROLE]**, **`Wipro Technologies`[EMPLOYER_COMPANY_NAME]** (November 2015 – July 2017) -NL- Role: Data Analyst -NL- **`Summary:`[SUMMARY_HEADING]** -NL- • Participated in requirement gathering sessions from client sales team. -NL- • Created a data dictionary about different data sources of data and tables for -NL- an easy reference. -NL- • Transformed the log data into SQL table for easy querying and reporting using -NL- regular expressions. -NL- • Performed log analysis to find the source of web traffic and visitors from -NL- different geographical locations and through which marketing channel. -NL- • Wrote complex SQL join queries to mine the data from multiple sources of SQL -NL- databases. -NL- • Used Python libraries like Pandas and Numpy to clean the data and prepare an -NL- analytical dataset which could be used for analysis. -NL- • Following best practices using CRISP - DM methodology framework. -NL- • Performed Exploratory Data analysis to understand the relation between -NL- various features of the dataset. -NL- • Feeding the new data and performing Exploratory Data Analysis to understand -NL- the relationship between features and improve the performance of the model. -NL- Role: Developer -NL- **`Summary:`[SUMMARY_HEADING]** -NL- • Responsible for planning, implementing and deploying enterprise search -NL- platform for a computer and computer accessories manufacturing based MNC. -NL- • Maintaining applications with 95% uptime as per SLA. -NL- • Automated daily jobs to decrease manual work by 50 hours per week. -NL- • Using and maintenance of Oracle Database to make sure the data is always -NL- available and performing health checks on the database in periodic intervals. -NL- • Extract and analyse performance metrics and deliver insights to client. -NL- • Run quality check to ensure data sanctity, collate data & deliver it based on -NL- guidelines. -NL- **`Project Engineer Trainee`[EMPLOYER_ROLE]**, **`Wipro Technologies`[EMPLOYER_COMPANY_NAME]** (March 2015 – November 2015) -NL- • Trained and worked on Informatica Power Center -NL- • Worked with various sources of data to load the data into Informatica to map -NL- them and make relations between different columns of data. -NL- • Mapping between different datatypes of source files (Flat files, Oracle -NL- Databases etc..) to target files. -NL- **`ACADEMIC QUALIFICATIONS:`[EDUCATION_HEADING]** -NL- **`B.E`[EDUCATION_DEGREE]** **`Computer Science Engineering`[EDUCATION_COURSE]** 2011-2015 -NL- **`SRM University`[EDUCATION_INSTITUTE]**, CGPA - 7.63/10 -NL- **`HSC`[EDUCATION_DEGREE]** (12th Class) 2009-2011 -NL- **`Sri Chaitanya Junior College`[EDUCATION_INSTITUTE]**, 86% -NL- **`SSC`[EDUCATION_DEGREE]** (10th Class) 2009 -NL- **`Sir C.R.R. Public School`[EDUCATION_INSTITUTE]**, 85.2% -NL- **`PERSONAL DETAILS:`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 4th November,1993 -NL- Nationality : Indian -NL- Languages Known : Telugu, English, Hindi -NL- Soft Skills : Team Player, Motivated, Passionate, Inquisitive -NL- 